OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< TownLayout > Struct Template Reference
Inheritance diagram for EnumPropsT< TownLayout >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< TownLayout, byte, TL_BEGIN, NUM_TLS, NUM_TLS, 3 >
typedef TownLayout | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< TownLayout, byte, TL_BEGIN, NUM_TLS, NUM_TLS, 3 >
static const TownLayout | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const TownLayout | end
| one after the last valid value (i.e. TRACKDIR_END)
static const TownLayout | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< TownLayout >

Definition at line 93 of file town_type.h.

The documentation for this struct was generated from the following file:

- src/town_type.h